Name:          android
Version:       4.1.1.4
Release:       %mkrel 2
Summary:       Google Android Library
Group:         Development/Java
License:       ASL 2.0
# While the EULA for the Android SDK restricts distribution of those binaries, the source code 
# is licensed under Apache 2.0 which allows compiling binaries from source and then distributing
# those versions.
Url:           http://source.android.com/
# https://github.com/android/
Source0:       http://repo2.maven.org/maven2/com/google/android/android/%{version}/android-%{version}-sources.jar
Source1:       http://repo2.maven.org/maven2/com/google/android/android/%{version}/android-%{version}.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent

BuildRequires: apache-commons-logging
BuildRequires: httpcomponents-client
BuildRequires: json
BuildRequires: android-opengl-api
BuildRequires: xerces-j2
BuildRequires: xpp3

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-annotations

Requires:      apache-commons-logging
Requires:      httpcomponents-client
Requires:      json
Requires:      android-opengl-api
Requires:      xerces-j2
Requires:      xpp3

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
A library jar that provides APIs for Applications written for the Google Android Platform.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -T -q -c

mkdir -p src/main/java
mkdir -p target/classes

(
  cd src/main/java
  %jar -xf %SOURCE0
  rm -rf META-INF
)

cp -p %SOURCE1 pom.xml

# clone source directory structure
find src/ -type d | while read dirname ; do
  newdirname=`echo $dirname | sed "s:src/main/java:target/classes:g"`
  mkdir -p $newdirname
done

# copy everything except *.java sources
find src/ -type f | grep -v "\.java" | while read cpfrom ; do
  cpto=`echo $cpfrom | sed "s:src/main/java:target/classes:g"`
  cp $cpfrom $cpto
done

# TODO
# sonatype-oss-parent
sed -i "s|<version>7</version>|<version>6</version>|" pom.xml
# xpp3
sed -i "s|<version>1.1.4c</version>|<version>1.1.3.8</version>|" pom.xml

%build

mvn-rpmbuild -e \
  install javadoc:aggregate

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
# depmap
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 4.1.1.4-2.mga3
+ Revision: 345535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 pterjan <pterjan> 4.1.1.4-1.mga3
+ Revision: 331097
- Fix BuildRequires
- Update to 4.1.1.4

* Sun Oct 28 2012 dmorgan <dmorgan> 4.0.1.2-2.mga3
+ Revision: 311246
- Java Stack Mass Rebuild

* Sun Jan 01 2012 gil <gil> 4.0.1.2-1.mga2
+ Revision: 189409
- update to 4.0.1.2
- imported package android

